
// Copyright (C) 2002-2011 Nikolaus Gebhardt
// This file is part of the "Irrlicht Engine".
// For conditions of distribution and use, see copyright notice in irrlicht.h

#ifndef __C_D3D8_CONTEXT_H_INCLUDED__
#define __C_D3D8_CONTEXT_H_INCLUDED__


#include "irrCompileConfig.h"

#ifdef _IRR_COMPILE_WITH_DIRECT3D_8_
#include "IVideoContext.h"

#include <windows.h>
#include <d3d8.h>


class IDirect3D8;
class IDirect3DDevice8;

namespace irr
{
namespace video
{

// TODO to replace SExposedVideoData
class CD3D8Context : public IVideoContext
{
public:

    CD3D8Context(IDirect3DDevice8* );
    ~CD3D8Context();

    /** See GLContext */
    bool setCurrent();

    /** See GLContext */
    bool endCurrent();

    bool swapBuffers();
//    bool draw();

    void releaseContext();

//protected:
//    IDirect3D8* pID3D;
    IDirect3DDevice8* pID3DDevice;
    D3DPRESENT_PARAMETERS present;
//    HDC     DeviceContext;
//    HGLRC   OglContext;
};

}
}

#endif // _IRR_COMPILE_WITH_WINDOWS_DEVICE_

#endif

// Copyright (C) 2002-2011 Nikolaus Gebhardt
// This file is part of the "Irrlicht Engine".
// For conditions of distribution and use, see copyright notice in irrlicht.h

#ifndef __C_D3D8_CONTEXT_H_INCLUDED__
#define __C_D3D8_CONTEXT_H_INCLUDED__


#include "irrCompileConfig.h"

#ifdef _IRR_COMPILE_WITH_DIRECT3D_8_
#include "IVideoContext.h"

#include <windows.h>
#include <d3d8.h>


class IDirect3D8;
class IDirect3DDevice8;

namespace irr
{
namespace video
{

// TODO to replace SExposedVideoData
class CD3D8Context : public IVideoContext
{
public:

    CD3D8Context(IDirect3DDevice8* );
    ~CD3D8Context();

    /** See GLContext */
    bool setCurrent();

    /** See GLContext */
    bool endCurrent();

    bool swapBuffers();
//    bool draw();

    void releaseContext();

//protected:
//    IDirect3D8* pID3D;
    IDirect3DDevice8* pID3DDevice;
    D3DPRESENT_PARAMETERS present;
//    HDC     DeviceContext;
//    HGLRC   OglContext;
};

}
}

#endif // _IRR_COMPILE_WITH_WINDOWS_DEVICE_

#endif

// Copyright (C) 2002-2011 Nikolaus Gebhardt
// This file is part of the "Irrlicht Engine".
// For conditions of distribution and use, see copyright notice in irrlicht.h

#ifndef __C_D3D8_CONTEXT_H_INCLUDED__
#define __C_D3D8_CONTEXT_H_INCLUDED__


#include "irrCompileConfig.h"

#ifdef _IRR_COMPILE_WITH_DIRECT3D_8_
#include "IVideoContext.h"

#include <windows.h>
#include <d3d8.h>


class IDirect3D8;
class IDirect3DDevice8;

namespace irr
{
namespace video
{

// TODO to replace SExposedVideoData
class CD3D8Context : public IVideoContext
{
public:

    CD3D8Context(IDirect3DDevice8* );
    ~CD3D8Context();

    /** See GLContext */
    bool setCurrent();

    /** See GLContext */
    bool endCurrent();

    bool swapBuffers();
//    bool draw();

    void releaseContext();

//protected:
//    IDirect3D8* pID3D;
    IDirect3DDevice8* pID3DDevice;
    D3DPRESENT_PARAMETERS present;
//    HDC     DeviceContext;
//    HGLRC   OglContext;
};

}
}

#endif // _IRR_COMPILE_WITH_WINDOWS_DEVICE_

#endif

// Copyright (C) 2002-2011 Nikolaus Gebhardt
// This file is part of the "Irrlicht Engine".
// For conditions of distribution and use, see copyright notice in irrlicht.h

#ifndef __C_D3D8_CONTEXT_H_INCLUDED__
#define __C_D3D8_CONTEXT_H_INCLUDED__


#include "irrCompileConfig.h"

#ifdef _IRR_COMPILE_WITH_DIRECT3D_8_
#include "IVideoContext.h"

#include <windows.h>
#include <d3d8.h>


class IDirect3D8;
class IDirect3DDevice8;

namespace irr
{
namespace video
{

// TODO to replace SExposedVideoData
class CD3D8Context : public IVideoContext
{
public:

    CD3D8Context(IDirect3DDevice8* );
    ~CD3D8Context();

    /** See GLContext */
    bool setCurrent();

    /** See GLContext */
    bool endCurrent();

    bool swapBuffers();
//    bool draw();

    void releaseContext();

//protected:
//    IDirect3D8* pID3D;
    IDirect3DDevice8* pID3DDevice;
    D3DPRESENT_PARAMETERS present;
//    HDC     DeviceContext;
//    HGLRC   OglContext;
};

}
}

#endif // _IRR_COMPILE_WITH_WINDOWS_DEVICE_

#endif

// Copyright (C) 2002-2011 Nikolaus Gebhardt
// This file is part of the "Irrlicht Engine".
// For conditions of distribution and use, see copyright notice in irrlicht.h

#ifndef __C_D3D8_CONTEXT_H_INCLUDED__
#define __C_D3D8_CONTEXT_H_INCLUDED__


#include "irrCompileConfig.h"

#ifdef _IRR_COMPILE_WITH_DIRECT3D_8_
#include "IVideoContext.h"

#include <windows.h>
#include <d3d8.h>


class IDirect3D8;
class IDirect3DDevice8;

namespace irr
{
namespace video
{

// TODO to replace SExposedVideoData
class CD3D8Context : public IVideoContext
{
public:

    CD3D8Context(IDirect3DDevice8* );
    ~CD3D8Context();

    /** See GLContext */
    bool setCurrent();

    /** See GLContext */
    bool endCurrent();

    bool swapBuffers();
//    bool draw();

    void releaseContext();

//protected:
//    IDirect3D8* pID3D;
    IDirect3DDevice8* pID3DDevice;
    D3DPRESENT_PARAMETERS present;
//    HDC     DeviceContext;
//    HGLRC   OglContext;
};

}
}

#endif // _IRR_COMPILE_WITH_WINDOWS_DEVICE_

#endif

// Copyright (C) 2002-2011 Nikolaus Gebhardt
// This file is part of the "Irrlicht Engine".
// For conditions of distribution and use, see copyright notice in irrlicht.h

#ifndef __C_D3D8_CONTEXT_H_INCLUDED__
#define __C_D3D8_CONTEXT_H_INCLUDED__


#include "irrCompileConfig.h"

#ifdef _IRR_COMPILE_WITH_DIRECT3D_8_
#include "IVideoContext.h"

#include <windows.h>
#include <d3d8.h>


class IDirect3D8;
class IDirect3DDevice8;

namespace irr
{
namespace video
{

// TODO to replace SExposedVideoData
class CD3D8Context : public IVideoContext
{
public:

    CD3D8Context(IDirect3DDevice8* );
    ~CD3D8Context();

    /** See GLContext */
    bool setCurrent();

    /** See GLContext */
    bool endCurrent();

    bool swapBuffers();
//    bool draw();

    void releaseContext();

//protected:
//    IDirect3D8* pID3D;
    IDirect3DDevice8* pID3DDevice;
    D3DPRESENT_PARAMETERS present;
//    HDC     DeviceContext;
//    HGLRC   OglContext;
};

}
}

#endif // _IRR_COMPILE_WITH_WINDOWS_DEVICE_

#endif
