#include "IrrCompileConfig.h"



#ifdef _IRR_COMPILE_WITH_WINDOWS_DEVICE_
#ifdef _IRR_COMPILE_WITH_SOFTWARE_


#include "IRenderWindow.h"
#include "CRenderWindowWin32.h"
#include "CSoftwareContextWin32.h"
#include "CImage.h"

namespace irr
{
namespace video
{
CSoftwareContextWin32::CSoftwareContextWin32(
//                                             HWND windowHandle,
                                            HDC deviceContext,
                                             IZBuffer* zBuffer, CImage* backBuffer, const SVideoContextConfig& config) :
    ISoftwareContext(zBuffer,backBuffer,config),
    ISoftwareContextWin32(deviceContext)
//    , WindowHandle(windowHandle)
//    , DeviceContext(windowHandle)
{
//    setTarget( )
}



CSoftwareContextWin32::~CSoftwareContextWin32()
{

}


bool CSoftwareContextWin32::swapBuffers(core::rect<s32>* src)
{
    ISoftwareContextWin32::displayImage( BackBuffer, src);
}



bool CSoftwareContextWin32::setTarget(void* data)
{


    return ISoftwareContextWin32::setDeviceContext( (HDC)data);
}


//bool CSoftwareContextWin32::setTarget( void* data)
//{
//    HWND temp = reinterpret_cast<HWND>(data);
//    if( temp )
//    {
//        WindowHandle = temp;
//        return true;
//    }
//    return false;
//}


bool  CSoftwareContextWin32::isCompatibleWithRenderWindow(IRenderWindow* ) const
{
    return true;
}







void CSoftwareContextWin32::releaseContext()
{

//    delete BackBuffer;
}



} // video
} // irr

#endif // _IRR_COMPILE_WITH_SOFTWARE
#endif // _IRR_COMPILE_WITH_WINDOWS_DEVICE_
